import java.awt.Image;

/**
 * Represents a filter that can be applied to an Image.
 */
public interface ImageFilter {
	/**
	 * @param img		the original unfiltered image
	 * @return			a filtered version of the original image
	 */
	public Image createFilteredImage(Image img);
	
	/**
	 * @return			the name of this filter
	 */
	public String toString();
}